  ! This software ARRAYCAL.F90 is part of the Visual Fortran kit.
  ! 
  ! This software is provided as an example that demonstrates a particular
  ! feature/function of the licensed product. The software is not intended to
  ! provide a complete solution to any application problem but rather is provided
  ! as a teaching mechanism.
  ! 
  ! Users may incorporate any part of this sample into their own source after 
  ! making appropriate changes to make it suitable for the intended application.

  ! This file contains the module referenced by the main program. This example
  ! program shows more Fortran 90 features, including an interface block and
  ! an assumed-shape array.

  MODULE ARRAY_CALCULATOR
     INTERFACE
       FUNCTION CALC_AVERAGE(D)
         REAL :: CALC_AVERAGE
         REAL, INTENT(IN) :: D(:)
       END FUNCTION CALC_AVERAGE
     END INTERFACE

     ! Other subprogram interfaces...

  END MODULE ARRAY_CALCULATOR
